#include <bits/stdc++.h>
using namespace std;
int main() {
	int a, b, c, d;
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	freopen("DEM.INP", "r", stdin);
	freopen("DEM.OUT", "w", stdout);
	cin >> a >> b >> c >> d;
	if (a + b > c + d)
		cout << "Yes";
	else
		cout << "No";
}
